### Function

# GLib CompletionFunc

deprecated: 2.26

#### Declaration

    gchar*
    (* GCompletionFunc) (
      gpointer item
    )

#### Description [src]

Specifies the type of the function passed to g_completion_new(). It should return the string corresponding to the given target item. This is used when you use data structures as `GCompletion` items.

Deprecated since: 2.26

Rarely used API.

#### Parameters

`item`

  Type: `gpointer`

  The completion item.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

The string corresponding to the item.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.